openapi: 3.0.1
info:
  title: diskursmonitor.de REST-WebService
  termsOfService: 'https://www.gnu.org/licenses/agpl-3.0.de.html'
  contact:
    name: 'Forschungsgruppe CoSoDi (COmputergestützte SOzio- und DIskurslinguistik - an der Universität Siegen - Entwickler: Jan Oliver Rüdiger) - Projekt diskursmonitor.de'
    url: 'https://diskursmonitor.de/'
  license:
    name: GNU Affero General Public License 3.0
    url: 'https://www.gnu.org/licenses/agpl-3.0.de.html'
  version: 1.0.0
servers:
  - url: 'https://barometer.diskurslinguistik.net/public-api/'
paths:
  /frequ:
    get:
      description: Gibt alle absoluten Tagesfrequenzen im LIVE-Korpus für ein gegebenes Token zurück
      parameters:
        - name: query
          in: query
          description: Abfrage (Token / exakte Wortform)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Absolute Tagesfrequenzen
  /kwics:
    get:
      description: Gibt ein zufälliges Sample von 10 eindeutigen KWICs zurück.
      parameters:
        - name: query
          in: query
          description: Abfrage (Tokens / exakte Wortformen) - Mehrwortabfrage. Alle Abfragen müssen in einem Belegsatz vorkommen.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 10 zufällige Belege
  /ngram:
    get:
      description: Erzeugt aus einem Sample von 1000 eindeutigen Belegsätzen einen Graphen (im GEXF-Format) auf Basis zentraler 5-Gramme.
      parameters:
        - name: query
          in: query
          description: Abfrage (Tokens / exakte Wortformen) - Mehrwortabfrage. Alle Abfragen müssen im 5-Gram vorkommen.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: GEXF-Datei
  /ping:
    get:
      description: 'Liefert den Statuscode 200, wenn der WebServcie verfügbar ist.'
      responses:
        '200':
          description: Service ist verfügbar
